## pdfjsGroupControl

pdfjsGroupControl allow to control most of one pdf throw pdfjsControls.
PdfjsGroupControl implements pdfjsCommand.
For methods inherited see PdfjsCommand documentation.

- Create an instance of pdfjsGroupControl
- Create one or most instances of pdfjsControl
- Load pdf by pdfControl
- Select pdfjsControl in pdfjsGroupControl
- Manipulate it

### Example

// In controller
pdfjsGroupControl: PdfjsGroupControl = new PdfjsGroupControl();
pdfjsControl1: PdfjsControl = new PdfjsControl();
pdfjsControl2: PdfjsControl = new PdfjsControl();
ngOnInit():void {
this.pdfjsControl1.load('assets/pdfs/conditions.pdf');
this.pdfjsControl2.load('assets/pdfs/guide.pdf');
this.pdfjsGroupControl.selectControl(pdfjsControl1);
this.pdfjsGroupControl.selectFirst();
this.pdfjsGroupControl.rotateSelected(90);
}

## Methods

pdfjsGroupControl.selectControl(pdfjsControl: PdfjsControl): void
Define pdfjsControl as current pdfjsControl managed by pdfjsGroupControl
Argument | Default value | Description
--- | --- | ---
pdfjsControl: PdfjsControl |  | The PdfjsControl as you want control

pdfjsGroupControl.unselectControl(): void
Unselect the control

pdfjsGroupControl.isControlSelected(pdfjsControl: PdfjsControl): boolean
This pdfjsComtrol is it selected in pdfjsGroupControl.
Argument | Default value | Description
--- | --- | ---
pdfjsControl: PdfjsControl |  | The pdfjsControl research
Return
boolean | The result.